org.apache.poi.hemf.record.emfplus

## Class HemfPlusImage.EmfPlusImage

- java.lang.Object
- - org.apache.poi.hemf.record.emfplus.HemfPlusImage.EmfPlusImage

- All Implemented Interfaces:
    GenericRecord, HemfPlusObject.EmfPlusObjectData
  Enclosing class:
    HemfPlusImage

      public static class HemfPlusImage.EmfPlusImage
      extends java.lang.Object
      implements HemfPlusObject.EmfPlusObjectData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPlusImage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyObject(HemfGraphics ctx, java.util.List<? extends HemfPlusObject.EmfPlusObjectData> continuedObjectData)`
    `int` | `getBitmapHeight()`
    `int` | `getBitmapStride()`
    `HemfPlusImage.EmfPlusBitmapDataType` | `getBitmapType()`
    `int` | `getBitmapWidth()`
    `java.awt.geom.Rectangle2D` | `getBounds(java.util.List<? extends HemfPlusObject.EmfPlusObjectData> continuedObjectData)`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `HemfPlusObject.EmfPlusObjectType` | `getGenericRecordType()`
    `HemfPlusHeader.EmfPlusGraphicsVersion` | `getGraphicsVersion()`
    `byte[]` | `getImageData()`
    `HemfPlusImage.EmfPlusImageDataType` | `getImageDataType()`
    `HemfPlusImage.EmfPlusMetafileDataType` | `getMetafileType()`
    `HemfPlusImage.EmfPlusPixelFormat` | `getPixelFormat()`
    `byte[]` | `getRawData(java.util.List<? extends HemfPlusObject.EmfPlusObjectData> continuedObjectData)`
    `long` | `init(LittleEndianInputStream leis, long dataSize, HemfPlusObject.EmfPlusObjectType objectType, int flags)`
    `java.awt.image.BufferedImage` | `readGDIImage(byte[] data)` Converts the gdi pixel data to a buffered image
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusObject.EmfPlusObjectData

      `isContinuedRecord`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfPlusImage

          public EmfPlusImage()

  - ### Method Detail

    - #### getImageDataType

          public HemfPlusImage.EmfPlusImageDataType getImageDataType()

    - #### getImageData

          public byte[] getImageData()

    - #### getPixelFormat

          public HemfPlusImage.EmfPlusPixelFormat getPixelFormat()

    - #### getBitmapType

          public HemfPlusImage.EmfPlusBitmapDataType getBitmapType()

    - #### getBitmapWidth

          public int getBitmapWidth()

    - #### getBitmapHeight

          public int getBitmapHeight()

    - #### getBitmapStride

          public int getBitmapStride()

    - #### getMetafileType

          public HemfPlusImage.EmfPlusMetafileDataType getMetafileType()

    - #### init

          public long init(LittleEndianInputStream leis,
                           long dataSize,
                           HemfPlusObject.EmfPlusObjectType objectType,
                           int flags)
                    throws java.io.IOException

      Specified by:
        `init` in interface `HemfPlusObject.EmfPlusObjectData`
      Throws:
        `java.io.IOException`

    - #### getGraphicsVersion

          public HemfPlusHeader.EmfPlusGraphicsVersion getGraphicsVersion()

      Specified by:
        `getGraphicsVersion` in interface `HemfPlusObject.EmfPlusObjectData`

    - #### getBounds

          public java.awt.geom.Rectangle2D getBounds(java.util.List<? extends HemfPlusObject.EmfPlusObjectData> continuedObjectData)

    - #### getRawData

          public byte[] getRawData(java.util.List<? extends HemfPlusObject.EmfPlusObjectData> continuedObjectData)

    - #### applyObject

          public void applyObject(HemfGraphics ctx,
                                  java.util.List<? extends HemfPlusObject.EmfPlusObjectData> continuedObjectData)

      Specified by:
        `applyObject` in interface `HemfPlusObject.EmfPlusObjectData`

    - #### readGDIImage

          public java.awt.image.BufferedImage readGDIImage(byte[] data)

      Converts the gdi pixel data to a buffered image
      Parameters:
        `data` - the image data of all EmfPlusImage parts
      Returns:
        the BufferedImage

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGenericRecordType

          public HemfPlusObject.EmfPlusObjectType getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.